#
# Default  Bacula File Daemon Configuration file
#
# There is not much to change here except perhaps the
# File daemon Name to
#
#
# Copyright (C) 2000-2022 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

#
# List Directors who are permitted to contact this File daemon
#
Director {
  Name = buildkitsandbox-dir
  Password = "oodVpgwlpHIeNmAjtmZK8xV3r6C8OBn3s"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the file daemon
#
Director {
  Name = buildkitsandbox-mon
  Password = "xE2sUAmpSBRfSSQKTY99Q6E7TiQWtER0n"
  Monitor = yes
}

#
# "Global" File daemon configuration specifications
#
FileDaemon {                          # this is me
  Name = buildkitsandbox-fd
  FDport = 9102                  # where we listen for the director
  WorkingDirectory = /var/lib/bacula
  Pid Directory = /run/bacula
  Maximum Concurrent Jobs = 20
  Plugin Directory = /usr/lib/bacula
}

# Send all messages except skipped files back to Director
Messages {
  Name = Standard
  director = buildkitsandbox-dir = all, !skipped, !restored, !verified, !saved
}
